﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamSpellCheckerDict
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        void btnCheckSpelling_Click(object sender, RoutedEventArgs e)
        {
            this.spellChecker.SpellCheck();
        }

        private void spellChecker_Loaded(object sender, RoutedEventArgs e)
        {
            Uri testUri = new Uri("/XamSpellCheckerDict;component/DICT-NO-NO-Norwegian-EVALUATION-VERSION.dict", UriKind.Relative);
            //Uri testUri = new Uri("/XamSpellCheckerDict;component/de-german-v2-whole.dict", UriKind.Relative);
            spellChecker.DictionaryUri = testUri;
        }
    }
}
